package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.StatusKonsistensi;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapEliminasiVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	
	
	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@ManyToOne
	@JoinColumn(name = "ObjectPengeluaranDefeaksiFk")
	@Caption(value="Object PengeluaranDefeaksi")
	private PengeluaranVO pengeluaranDefeaksi;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPengeluaranUrinFk")
	@Caption(value="Object PengeluaranUrin")
	private UrinVO pengeluaranUrin;
	
	@ManyToOne
	@JoinColumn(name = "ObjectKarakteristikFesesFk")
	@Caption(value="Object Karakteristik Feses")
	private KarakteristikFesesVO karakteristikFeses;
	
	@Column(name = "frekuensiDefeaksi", nullable = true)
	@Caption(value="Frekuensi Defeaksi")
	private String frekuensiDefeaksi;
	
	@Column(name = "konsistensiDefeaksi", nullable = true)
	@Caption(value="Konsistensi Defeaksi")
	private String konsistensiDefeaksi;
	
	@ManyToOne
	@JoinColumn(name = "ObjectKelainanUrinFk")
	@Caption(value="Object Kelainan Urin")
	private StatusAdaTidakAdaVO kelainanUrin;
	
	@Column(name = "diuresisUrin", nullable = true, length=150)
	@Caption(value="Diuresis Urin")
	private String diuresisUrin;
	
	@Column(name = "isNormal", nullable = false)
	@Caption(value = "Is Normal")
	private Boolean isNormal;

	@ManyToOne
	@JoinColumn(name = "ObjectKonsistensiFk")
	@Caption(value="Object Konsistensi")
	private StatusKonsistensi konsistensi;

	public String getFrekuensiDefeaksi() {
		return frekuensiDefeaksi;
	}
	public void setFrekuensiDefeaksi(String frekuensiDefeaksi) {
		this.frekuensiDefeaksi = frekuensiDefeaksi;
	}
	public String getKonsistensiDefeaksi() {
		return konsistensiDefeaksi;
	}
	public void setKonsistensiDefeaksi(String konsistensiDefeaksi) {
		this.konsistensiDefeaksi = konsistensiDefeaksi;
	}

	public String getDiuresisUrin() {
		return diuresisUrin;
	}
	public void setDiuresisUrin(String diuresisUrin) {
		this.diuresisUrin = diuresisUrin;
	}
	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}
	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}
	public PasienVO getPasien() {
		return pasien;
	}
	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}
	public Date getTglInput() {
		return tglInput;
	}
	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}
	public PengeluaranVO getPengeluaranDefeaksi() {
		return pengeluaranDefeaksi;
	}
	public void setPengeluaranDefeaksi(PengeluaranVO pengeluaranDefeaksi) {
		this.pengeluaranDefeaksi = pengeluaranDefeaksi;
	}
	public UrinVO getPengeluaranUrin() {
		return pengeluaranUrin;
	}
	public void setPengeluaranUrin(UrinVO pengeluaranUrin) {
		this.pengeluaranUrin = pengeluaranUrin;
	}
	public KarakteristikFesesVO getKarakteristikFeses() {
		return karakteristikFeses;
	}
	public void setKarakteristikFeses(KarakteristikFesesVO karakteristikFeses) {
		this.karakteristikFeses = karakteristikFeses;
	}
	public StatusAdaTidakAdaVO getKelainanUrin() {
		return kelainanUrin;
	}
	public void setKelainanUrin(StatusAdaTidakAdaVO kelainanUrin) {
		this.kelainanUrin = kelainanUrin;
	}
	public Boolean getIsNormal() {
		return isNormal;
	}
	public void setIsNormal(Boolean isNormal) {
		this.isNormal = isNormal;
	}
	public StatusKonsistensi getKonsistensi() {
		return konsistensi;
	}
	public void setKonsistensi(StatusKonsistensi konsistensi) {
		this.konsistensi = konsistensi;
	}

}
